package isset;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.eclipse.persistence.oxm.annotations.XmlIsSetNullPolicy;
import org.eclipse.persistence.oxm.annotations.XmlMarshalNullRepresentation;

@XmlRootElement
public class Entity {

    private String foo;
    private boolean fooSet = false;
    
    private String bar;
    private boolean barSet = false;

    @XmlElement
    @XmlIsSetNullPolicy(isSetMethodName="isFooSet", nullRepresentationForXml=XmlMarshalNullRepresentation.XSI_NIL)
    public String getFoo() {
        return foo;
    }

    public void setFoo(String foo) {
        this.foo = foo;
        this.fooSet = true;
    }

    @XmlElement
    @XmlIsSetNullPolicy(isSetMethodName="isBarSet", nullRepresentationForXml=XmlMarshalNullRepresentation.XSI_NIL)
    public String getBar() {
        return bar;
    }

    public void setBar(String bar) {
        this.bar = bar;
        this.barSet = true;
    }

    public boolean isFooSet() {
        return fooSet;
    }

    public boolean isBarSet() {
        return barSet;
    }

}